# -*- coding: utf-8 -*-
"""
Created on Fri Dec 11 10:58:52 2020

@author: Studente
"""
import os

def list_files(pathname):
    for filename in os.listdir(pathname):
        print('Relative path', filename)
        print('Full path', pathname + '/' + filename)
        print('Absolute path', os.path.abspath(pathname + '/' + filename))
        
        
def list_files_recursively(pathname):
    for filename in os.listdir(pathname):
        fullpath = os.path.join(pathname, filename)
#        print(fullpath)
        tab = fullpath.count(os.path.sep) 
        if os.path.isfile(fullpath):
            print('\t'*tab, filename)
        elif os.path.isdir(fullpath):
            print('\t'*tab, 'Dir:', filename)
            list_files_recursively(fullpath)
            print('\n')
            
def list_files_recurs_ext(pathname, ext):
    for filename in os.listdir(pathname):
        fullpath = os.path.join(pathname, filename)
#        print(fullpath)
        if os.path.isfile(fullpath) and fullpath.endswith(ext):
            print(fullpath)
        elif os.path.isdir(fullpath):
            list_files_recurs_ext(fullpath, ext)
    
def list_files_greater_than(pathname, size):
    for filename in os.listdir(pathname):
        fullpath = os.path.join(pathname, filename)
        if os.path.isfile(fullpath):
            filesize = os.stat(fullpath).st_size
            if filesize>=size:
                print(fullpath)
        elif os.path.isdir(fullpath):
            list_files_greater_than(fullpath, size)
        
        
        
        
        
        
        