# -*- coding: utf-8 -*-
"""
Created on Fri Dec 11 10:16:26 2020

@author: Studente
Write a recursive function that receives a string as input and returns a pair in which the first value is the number of vowels and the second value is the number of consonants present in the string.
"""

def count_vow_cons(string, vowels=0, conson=0):
    if not string:
        return vowels, conson
    if string[0] in 'aeiou':
        return count_vow_cons(string[1:], vowels+1, conson)
    else:
        return count_vow_cons(string[1:], vowels, conson+1)
    
def count_vow_cons_2(string):
    vowels = consonants = 0

    if len(string) > 1:
        vowels, consonants = count_vow_cons_2(string[1:])
    elif not string:
        return 0,0
    if string[0] in 'aeiou':
        vowels += 1
    else:
        consonants += 1
    return vowels, consonants


def count_vow_cons_4(string, index = 0):
    vowels = consonants = 0
    if not string:
        return 0,0
    
    if index < len(string)-1:
        vowels, consonants = count_vow_cons_4(string, index+1)

    if string[index] in 'aeiou':
        vowels += 1
    else:
        consonants += 1
    return vowels, consonants


def count_vow_cons_3(string):
    vowels = consonants = 0
    
    if len(string) == 1:
        if string[0] in 'aeiou':
            return 1,0
        else:
            return 0,1
    elif not string:
        return 0,0
    if string[-1] in 'aeiou':
        vowels, consonants = count_vow_cons_3(string[:-1])
        vowels += 1
    else:
        vowels, consonants = count_vow_cons_3(string[:-1])
        consonants += 1
    return vowels, consonants